Kerbal Space Program - Bug #729

Excessive (4x?) memory usage when loading .png textures

05/29/2013 05:58 PM - Taverius

Status: Closed Start date: 05/29/2013
Severity: Urgent % Done: 100%
Assignee:

Category:

Target version: 0.20.2

Version: 0.20.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

KSP + KSPX: ~1.15Gb RAM usage in both 0.20.0 and 0.20.1
KSP + KSPX + B9 (all png): 0.20.0, 1.9Gb RAM usage; 0.20.1, 3.1Gb RAM usage.

Pattern repeats when other mods using png textures are tested.

End result: mod configuration that worked perfectly in 0.19 and 0.20.0 causes out of memory error while in loading screen if the

enough mods are recent and using .png textures.

History

#1 - 05/30/2013 08:47 AM - Anonymous
- Status changed from New to Being Worked On
- % Done changed from 0 to 30

#2 - 05/31/2013 07:31 PM - Ted
- Status changed from Being Worked On to Ready to Test
- Target version set to 0.20.2

- % Done changed from 30 to 100

#3 - 06/06/2013 06:03 PM - Anonymous

- Status changed from Ready to Test to Resolved

#4 - 06/06/2013 06:04 PM - Anonymous

- Status changed from Resolved to Closed
